Problem when compiling the OpenSCAD.

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Problem when compiling the OpenSCAD.

Henrique Dias
Hi,

I can not compile the OpenSCAD, because of the following error:

yacc -d -p parser -b parser src/parser.y
yacc: e - line 27 of "src/parser.y", syntax error
%expect 1 /* Expect 1 shift/reduce conflict for ifelse_statement - "dangling else problem" */
^
make: *** [parser_yacc.h] Error 1

I've tried the latest version and the version from the github and does not compile on both.

Anyone have suggestions for solving this problem?

Thanks,

Henrique Dias